Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.Timer16Bit.ControlRegisterA

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit.ControlRegister
              avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit.ControlRegisterA

All Implemented Interfaces:
  State.IOReg

Enclosing class:
  ATMega128L.SimImpl.Timer16Bit

protected class ATMega128L.SimImpl.Timer16Bit.ControlRegisterA
extends ATMega128L.SimImpl.Timer16Bit.ControlRegister

`ControlRegisterA` describes the TCCRnA control register associated with a 160bit timer. Changing the values of this register generally alter the mode of operation of the timer.

Field Summary
`static int` | `COMnA0`
`static int` | `COMnA1`
`static int` | `COMnB0`
`static int` | `COMnB1`
`static int` | `COMnC0`
`static int` | `COMnC1`
`static int` | `WGMn0`
`static int` | `WGMn1`

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Constructor Summary
`protected` | `ATMega128L.SimImpl.Timer16Bit.ControlRegisterA()`

Method Summary
`protected void` | `decode(byte val)`

Methods inherited from class avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit.ControlRegister
`write, writeBit`

Methods inherited from class avrora.sim.State.RWIOReg
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMnA1

    public static final int COMnA1

See Also:
  Constant Field Values

### COMnA0

    public static final int COMnA0

See Also:
  Constant Field Values

### COMnB1

    public static final int COMnB1

See Also:
  Constant Field Values

### COMnB0

    public static final int COMnB0

See Also:
  Constant Field Values

### COMnC1

    public static final int COMnC1

See Also:
  Constant Field Values

### COMnC0

    public static final int COMnC0

See Also:
  Constant Field Values

### WGMn1

    public static final int WGMn1

See Also:
  Constant Field Values

### WGMn0

    public static final int WGMn0

See Also:
  Constant Field Values

Constructor Detail

### ATMega128L.SimImpl.Timer16Bit.ControlRegisterA

    protected ATMega128L.SimImpl.Timer16Bit.ControlRegisterA()

Method Detail

### decode

    protected void decode(byte val)

  Specified by:
    `decode` in class `ATMega128L.SimImpl.Timer16Bit.ControlRegister`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD